<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UDM_SearchResultSettings.ascx.cs"
    Inherits="DNNMasters.UserDirectoryManager.UDM_SearchResultSettings" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.UDM.ComponentArt.Web.UI.N2"
    Assembly="DNNMasters.UDM.ComponentArt.Web.UI.N2" %>
<link href="module.css" type="text/css" rel="stylesheet">
<componentart:TabStrip id="tbstrMain" width="100%" defaultitemlookid="DefaultTabLook"
    defaultselecteditemlookid="SelectedTabLook" defaultgrouptabspacing="0px" defaultgroupcssclass="dnnm_TopGroup"
    imagesbaseurl="images/" runat="server" multipageid="mpMain" templates="(Collection)"
    topgrouptabspacing="0px" CssClass="dnnm_TopGroup">
    <itemlooks>
      <ComponentArt:ItemLook LookId="DefaultTabLook" CssClass="dnnm_DefaultTab" HoverCssClass="dnnm_DefaultTabHover" LabelPaddingLeft="10" LabelPaddingRight="10" LabelPaddingTop="5" LabelPaddingBottom="4" LeftIconHeight="21" RightIconHeight="21" />
      
      <ComponentArt:ItemLook LookId="SelectedTabLook" CssClass="dnnm_SelectedTab2" LabelPaddingLeft="10" LabelPaddingRight="10" LabelPaddingTop="4" LabelPaddingBottom="4"  LeftIconHeight="21"  RightIconHeight="21" />
    </itemlooks>
    <tabs>
      <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" ></componentart:TabStripTab>
      <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px"></componentart:TabStripTab>
      <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px"></componentart:TabStripTab>
    </tabs>
</componentart:TabStrip>
<componentart:MultiPage id="mpMain" runat="server" height="100%" width="100%" pageviews="(Collection)"
    CssClass="dnnm_MultiPage">
    <componentart:PageView ID="PVGrid" cssclass="dnnm_PageContent" runat="server">
        <table cellspacing="2" cellpadding="2" border="0" align="center">
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblWidth" resource="width" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:TextBox ID="txtWidth" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblHeight" resource="height" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:TextBox ID="txtHeight" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblPageSize" resource="width" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:TextBox ID="txtPageSize" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="SubHead" align="left">
                    <dnn:Label ID="lblPagerStyle" ControlName="_ddlPagerStyle" Suffix=":" runat="server" />
                </td>
                <td class="SubHead">
                    <asp:DropDownList ID="_ddlPagerStyle" runat="server" CssClass="NormalTextBox" Width="150">
                        <asp:ListItem Value="Slider" resurcekey="pagerStyleSlider"></asp:ListItem>
                        <asp:ListItem Value="Numbered" resurcekey="pagerStyleNumbered"></asp:ListItem>
                        <asp:ListItem Value="Buttons" resurcekey="pagerStyleButtons"></asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>

        </table>
    </componentart:PageView>
    <componentart:PageView ID="PVGlobals" cssclass="dnnm_PageContent" runat="server">
        <table cellspacing="2" cellpadding="2" border="0" align="center">
            <tr valign="middle">
                <td class="SubHead">
                    <dnn:label id="lblAllowEdit" resource="width" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:RadioButtonList ID="rblAllowEdit" runat="server" CssClass="NormalTextBox" RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">y</asp:ListItem>
                        <asp:ListItem Value="0">n</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead" colspan="1">
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblDetailView" resource="width" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:RadioButtonList ID="rblDetailView" runat="server" CssClass="NormalTextBox" RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">y</asp:ListItem>
                        <asp:ListItem Value="0">n</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead" colspan="1">
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:Label ID="lblDetailViewTab" ControlName="" Suffix=":" runat="server" />
                </td>
                <td class="SubHead" colspan="2">
                    <asp:DropDownList ID="_ddlDetailViewTabs" runat="server" Width="150px" DataTextField="TabName"
                        DataValueField="TabId" CssClass="NormalTextBox" />
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblExport" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:RadioButtonList ID="rblExport" runat="server" CssClass="NormalTextBox" RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">y</asp:ListItem>
                        <asp:ListItem Value="0">n</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead" colspan="1">
                </td>
            </tr>
            <tr>
                <td class="SubHead" align="left">
                    <dnn:label id="lblSearchOperator" resource="width" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:RadioButtonList ID="rblSearchOperator" runat="server" RepeatDirection="Horizontal"
                        CssClass="NormalTextBox">
                        <asp:ListItem Value="AND">AND</asp:ListItem>
                        <asp:ListItem Value="OR">OR</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead">
                </td>
            </tr>
            <tr>
                <td class="SubHead">
                    <dnn:Label ID="lblViewPerm" resource="lblViewPerm" ControlName="" Suffix=":" runat="server">
                    </dnn:Label>
                </td>
                <td>
                    <asp:RadioButtonList ID="rblViewPerm" runat="server" CssClass="NormalTextBox" RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">y</asp:ListItem>
                        <asp:ListItem Value="0">n</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead">
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblShowDNNFusion" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:RadioButtonList ID="rbllblShowDNNFusion" runat="server" CssClass="NormalTextBox"
                        RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">Yes</asp:ListItem>
                        <asp:ListItem Value="0">No</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead" colspan="1">
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblIntegrateDR" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:RadioButtonList ID="rblIntegrateDR" runat="server" CssClass="NormalTextBox"
                        RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">Yes</asp:ListItem>
                        <asp:ListItem Value="0">No</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead" colspan="1">
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblIntegrateDRTab" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:DropDownList ID="ddDRTab" runat="server" Width="150px" DataTextField="TabName"
                        DataValueField="TabId" OnSelectedIndexChanged="ddDRTab_SelectedIndexChanged"
                        AutoPostBack="true">
                    </asp:DropDownList>
                </td>
                <td class="SubHead" colspan="1">
                </td>
            </tr>
            <tr valign="middle">
                <td class="SubHead" align="left">
                    <dnn:label id="lblIntegrateDRModule" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead" colspan="2">
                    <asp:DropDownList ID="ddDRModule" runat="server" Width="150px" DataTextField="ModuleTitle"
                        DataValueField="ModuleId">
                    </asp:DropDownList>
                </td>
                <td class="SubHead" colspan="1">
                </td>
            </tr>
            <tr>
                <td class="SubHead" align="center">
                    <dnn:label id="lblRoles" resource="roles" controlname="" suffix=":" runat="server">
                    </dnn:label>
                </td>
                <td class="SubHead">
                    <asp:RadioButtonList ID="rblOperator" runat="server" CssClass="NormalTextBox">
                        <asp:ListItem Value="AND">AND</asp:ListItem>
                        <asp:ListItem Value="OR">OR</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
                <td class="SubHead" width="50">
                </td>
                <td class="SubHead" valign="bottom" align="left" colspan="1">
                    <dnn:label id="lblExcludeRoles" resource="ExcludeRoles" controlname="" suffix=":"
                        runat="server">
                    </dnn:label>
                </td>
            </tr>
            <tr>
                <td class="SubHead" align="center" colspan="2">
                    <asp:CheckBoxList ID="chklRoles" runat="server" CssClass="NormalTextBox">
                    </asp:CheckBoxList>
                </td>
                <td class="SubHead" align="right" colspan="2">
                    <asp:CheckBoxList ID="chklExcludeRoles" runat="server" CssClass="NormalTextBox">
                    </asp:CheckBoxList>
                </td>
            </tr>
        </table>
    </componentart:PageView>
    <componentart:PageView ID="PVSearchLists" cssclass="dnnm_PageContent" runat="server">
        <table cellspacing="2" cellpadding="2" border="0" align="center">
            <tr>
                <td class="SubHead" colspan="4" align="left">
                    <asp:Table runat="server" ID="mainTable">
                        <asp:TableRow>
                            <asp:TableCell CssClass="SubHead">
                                <dnn:label id="lblVisibility" resource="columnvisibility" controlname="" suffix=":"
                                    runat="server">
                                </dnn:label>
                            </asp:TableCell>
                            <asp:TableCell CssClass="SubHead">
                                <dnn:label id="lblOrder" resource="columnvisibility" controlname="" suffix=":" runat="server">
                                </dnn:label>
                            </asp:TableCell>
                            <%--<asp:tablecell cssclass="SubHead">
						        <dnn:label id="lblLoc" resourcekey="localization" controlname="" suffix=":" runat="server">
						        </dnn:label>
					        </asp:tablecell>--%>
					         <asp:TableCell CssClass="SubHead">
                                <dnn:Label ID="lblColumnWidth" ControlName="" Suffix=":" runat="server">
                                </dnn:Label>
                            </asp:TableCell>
                            <asp:TableCell CssClass="SubHead">
                                <dnn:label id="lblDefaultSort" runat="server" suffix=":" controlname="" resource="">
                                </dnn:label>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </td>
                <tr>
                    <td class="SubHead" align="center" colspan="5">
                        <br>
                    </td>
                </tr>
        </table>
    </componentart:PageView>
</componentart:MultiPage>
<div style="text-align: center">
    <asp:LinkButton ID="lnkUpdate" runat="server" CssClass="CommandButton">Update</asp:LinkButton>&nbsp;
    <asp:LinkButton ID="lnkCancel" runat="server" CssClass="CommandButton">Cancel</asp:LinkButton><br />
    <asp:HyperLink ID="HyperLink1" runat="server" CssClass="Normal" EnableTheming="False"
        EnableViewState="False" ForeColor="GrayText" NavigateUrl="http://www.dnnmasters.com"
        Target="_blank" ToolTip="Visit DNNMasters website to find more excellent modules">DNNMasters modules</asp:HyperLink>
</div>
